Software Solutions
Viewing 1 reply thread
  • Author
    Posts
    • #34651
      Emmet de RóisteEmmet de Róiste
      Participant

      Hi,

      I’m updating some computers in my school and came across a Mac which is on MacOS High Sierra and using ActivInspire version 2.4

      I decided to update ActivInspire. Unfortunately it couldn’t be updated to the latest version, as the computer is too old and the current version doesn’t support it.

      I managed to get a copy of ActivInspire 2.14 from another thread but it seems to be lacking certain features such as grid from the dropdown menus.

      My own Mac is very similar in spec and is running ActivInspire version 2.18.68238. Would it be possible to get a link to this version of ActivInspire. It seems to have a lot more features and functionality than 2.14

      Thanks in advance,

      Emmet

    • #34742

      Hello Emmet,

      Thank you for your post.

      Due to the nature of this issue, we are going to contact you directly via e-mail with more information.

      Kind regards,

      Jordan

      Promethean Technical Support

Viewing 1 reply thread
  • The topic ‘Promethean ActivInspire version 2.18 needed for MacOS High Sierra’ is closed to new replies.